> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reap.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account

> Retrieves account details and chain addresses. Use `GET /accounts/:id/balance` to retrieve balance information.



## OpenAPI

````yaml /api-reference/openapi.json get /accounts/{id}
openapi: 3.1.0
info:
  title: Reap API
  version: 1.0.0
  description: Reap platform API
servers:
  - url: https://sandbox.api.reap.global
    description: Sandbox
  - url: https://prod.api.reap.global
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Accounts
  - name: Activities
  - name: Card Designs
  - name: Card Shipments
  - name: Card Transactions
  - name: Cards
  - name: Companies
  - name: Crypto Deposits
  - name: Policies
  - name: Simulation
  - name: Users
  - name: Virtual Asset Postings
  - name: Virtual Assets
  - name: Webhooks
paths:
  /accounts/{id}:
    get:
      tags:
        - Accounts
      summary: Get account
      description: >-
        Retrieves account details and chain addresses. Use `GET
        /accounts/:id/balance` to retrieve balance information.
      operationId: get_accounts
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Account ID
        - name: Reap-Version
          in: header
          required: true
          schema:
            type: string
            enum:
              - '2025-02-14'
            description: API version (YYYY-MM-DD)
            example: '2025-02-14'
      responses:
        '200':
          description: Account resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Account'
        '404':
          description: Account not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        const: ACCOUNT_NOT_FOUND
                      message:
                        type: string
                      detail:
                        anyOf:
                          - type: object
                            additionalProperties: {}
                          - type: 'null'
                    required:
                      - code
                      - message
                      - detail
                required:
                  - error
                title: AccountNotFoundError
components:
  schemas:
    Account:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique account identifier
        status:
          type: string
          enum:
            - ACTIVE
            - RESTRICTED
          description: Current account status
          example: ACTIVE
        ownerType:
          type: string
          enum:
            - USER
            - COMPANY
            - PROJECT
          description: Type of entity that owns this account
          example: USER
        ownerId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: >-
            Owner entity ID (user or company). Null for `PROJECT`-owned master
            accounts.
        chainAddresses:
          type: array
          items:
            $ref: '#/components/schemas/ChainAddress'
          description: >-
            Deposit addresses by chain. Empty for accounts without provisioned
            wallets (user accounts on `PROGRAM_FUNDED` projects).
        createdAt:
          type: string
          examples:
            - '2024-01-15T10:30:00Z'
          description: ISO 8601 timestamp of creation
        updatedAt:
          type: string
          examples:
            - '2024-01-15T10:35:00Z'
          description: ISO 8601 timestamp of last update
      required:
        - id
        - status
        - ownerType
        - ownerId
        - chainAddresses
        - createdAt
        - updatedAt
    ChainAddress:
      type: object
      properties:
        chainId:
          type: string
          enum:
            - ETHEREUM_MAINNET
            - ETHEREUM_SEPOLIA
            - BASE_MAINNET
            - BASE_SEPOLIA
            - ARBITRUM_ONE_MAINNET
            - ARBITRUM_ONE_SEPOLIA
            - POLYGON_MAINNET
            - POLYGON_AMOY
            - SOLANA_MAINNET
            - SOLANA_DEVNET
          description: Blockchain network identifier
          example: ETHEREUM_MAINNET
        address:
          type: string
          examples:
            - '0x742d35Cc6634C0532925a3b844Bc9e7595f8fA21'
          description: Deposit address on this chain
      required:
        - chainId
        - address
      description: Deposit address for a specific blockchain
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key as Bearer token

````